@import "../../vars.css";

:host {
  box-sizing: border-box;
  display: block;
  height: 100%;
  width: 100%;
}

.board-header {
  color: var(--color-ti-text-grey-darker);
  font-size: 20px;
  font-weight: 500;
  height: 32px;
  padding: 2%;
}

.board-header > span {
  color: #327ea6;
  font-size: 18px;
  font-weight: bold;
}

.board-description {
  padding: 2%;
  color: #9c9c9c;
  font-size: 11px;
  font-weight: 500;
}

.board-img {
  position: absolute;
  bottom: 2%;
  right: 2%;
  width: 27%;
}

.device-selection {
  background-color: var(--color-ti-white);
  background-image: url(../../images/bg-tile.svg);
  background-position-y: -19%;
  border-radius: 2px;
  box-shadow: 0 0 4px 0.5px rgba(176, 176, 176, 0.5);
  cursor: pointer;
  padding: 2% 2% 0 2%;
  position: relative;
  transition: all 0.2s;
}

.chip-container {
  height: calc(100% - 10px);
  display: grid;
  grid-template-columns: 2fr 2fr;
  grid-template-rows: 30% 30% 30%;
  grid-gap: 4%;
  margin: 5px;
}

.selection-ctr {
  height: 250px;
  overflow: hidden;
}

.card-unselected {
  height: 19.8px;
  width: 19.8px;
  border: 1px solid var(--color-ti-border-grey-dark);
  border-radius: 9.9px;
}

.checked-green {
  --iron-icon-fill-color: var(--color-ti-secondary-green);
}

.btn-container {
  display: flex;
  height: 8.5rem;
  width: 500px;
  border-radius: 8px;
  border: 1px solid var(--color-ti-secondary-grey);
  padding: 20px;
  justify-content: space-between;
  flex-direction: column;
}

.multi-device-container {
  display: flex;
  flex-direction: column;
  text-align: center;
  height: 100%;
  justify-content: space-evenly;
}

input[type=radio] {
  margin: 0px;
  height: 24px;
  width: 24px;
}

.btn-container label{
  font-size: 24px;
  color: var(--color-ti-text-grey-dark);
  margin: 0px;
}

.device-indicator{
  height: 28px;
  width: 158px;
  border-radius: 100px;
  background-color: var(--color-ti-bg-red);
  font-size: 12px;
  line-height: 16px;
  color: var(--color-ti-primary-red);
  display: flex;
  align-items: center;
  justify-content: center;
}

.radio-btn-container{
  display: flex;
  align-items: center;
  gap: 8px;
}

.radio-btn{
  cursor: pointer;
}

.label-container{
  display: flex;
  justify-content: space-between;
}

.device-description{
  color: var(--color-ti-text-grey);
  text-align: left;
}

.disableDeviceSelection{
  pointer-events: none;
  opacity: 0.6;
}